Skip to main content
Clawise

Wait for OTP

GET
/api/v1/phone/verifications/{id}/otp

Waits for and returns the OTP from the verification's received SMS. Requires phone:otp API key scope.

Long-polls for up to timeout seconds (1–300; defaults to 60). Returns found: false with timeout_seconds when the timeout elapses without an OTP. Returns 409 if the verification was cancelled; 410 if it expired.

Path Parameters

id*string

Verification ID.

Query Parameters

timeout?integer

Wait timeout in seconds. Clamped to 1–300; defaults to 60.

Default60

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://api.clawise.dev/api/v1/phone/verifications//otp?timeout=60"